Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class ImplHelper

    java.lang.Object
      org.apache.openjpa.util.ImplHelper

    public class ImplHelper

extends Object

Helper for OpenJPA back-ends.

Since:
  0.3.0
Author:
  Abe White

Field Summary
`static Map` | `_unenhancedInstanceMap`

Constructor Summary
`ImplHelper()`

Method Summary
`static void` | `close(Object o)` Close the given resource.
`static Object` | `generateFieldValue(StoreContext ctx, FieldMetaData fmd)` Generate a value for the given metadata, or return null.
`static Object` | `generateIdentityValue(StoreContext ctx, ClassMetaData meta, int typeCode)` Generate a value for the given metadata, or return null.
`static Object` | `getManagedInstance(Object o)`
`static BitSet` | `getUpdateFields(OpenJPAStateManager sm)` Returns the fields of the state that require an update.
`static boolean` | `isAssignable(Class from, Class to)` Returns true if the referenced "to" class is assignable to the "from" class.
`static boolean` | `isManageable(Object instance)` Returns true if the specified instance is manageable.
`static boolean` | `isManagedType(OpenJPAConfiguration conf, Class type)` Returns true if the specified class is a type that can be managed by OpenJPA.
`static Collection` | `loadAll(Collection sms, StoreManager store, PCState state, int load, FetchConfiguration fetch, Object context)` Helper for store manager implementations.
`static void` | `registerPersistenceCapable(ReflectingPersistenceCapable pc)`
`static PersistenceCapable` | `toPersistenceCapable(Object o, Object ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _unenhancedInstanceMap

    public static final Map _unenhancedInstanceMap

Constructor Detail

### ImplHelper

    public ImplHelper()

Method Detail

### loadAll

    public static Collection loadAll(Collection sms,
                                     StoreManager store,
                                     PCState state,
                                     int load,
                                     FetchConfiguration fetch,
                                     Object context)

  Helper for store manager implementations. This method simply delegates to the proper singular method for each state manager.

  Since:
    0.4.0
  See Also:
    `StoreManager.loadAll(java.util.Collection, org.apache.openjpa.kernel.PCState, int, org.apache.openjpa.kernel.FetchConfiguration, java.lang.Object)`

### generateIdentityValue

    public static Object generateIdentityValue(StoreContext ctx,
                                               ClassMetaData meta,
                                               int typeCode)

  Generate a value for the given metadata, or return null. Generates values for hte following strategies: `ValueStrategies.SEQUENCE`, `ValueStrategies.UUID_STRING`, `ValueStrategies.UUID_HEX`

### generateFieldValue

    public static Object generateFieldValue(StoreContext ctx,
                                            FieldMetaData fmd)

  Generate a value for the given metadata, or return null. Generates values for hte following strategies: `ValueStrategies.SEQUENCE`, `ValueStrategies.UUID_STRING`, `ValueStrategies.UUID_HEX`

### getUpdateFields

    public static BitSet getUpdateFields(OpenJPAStateManager sm)

  Returns the fields of the state that require an update.

  Parameters:
    `sm` - the state to check
  Returns:
    the BitSet of fields that need update, or null if none

### close

    public static void close(Object o)

  Close the given resource. The resource can be an extent iterator, query result, large result set relation, or any closeable OpenJPA component.

### isManagedType

    public static boolean isManagedType(OpenJPAConfiguration conf,
                                        Class type)

  Returns true if the specified class is a type that can be managed by OpenJPA.

  Parameters:
    `type` - the class to test
  Returns:
    true if the class is manageable.
  Since:
    1.0.0

### isManageable

    public static boolean isManageable(Object instance)

  Returns true if the specified instance is manageable.

  Parameters:
    `instance` - the object to check
  Returns:
    true if the instance is a persistent type, false otherwise

### isAssignable

    public static boolean isAssignable(Class from,
                                       Class to)

  Returns true if the referenced "to" class is assignable to the "from" class. This helper method utilizes a cache to help avoid the overhead of the Class.isAssignableFrom() method.

  Parameters:
    `from` - target class instance to be checked for assignability
    `to` - second class instance to be checked for assignability
  Returns:
    true if the "to" class is assignable to the "from" class

### toPersistenceCapable

    public static PersistenceCapable toPersistenceCapable(Object o,
                                                          Object ctx)

  Returns:
    the persistence-capable instance responsible for managing `o`, or `null` if `o` is not manageable.
  Since:
    1.0.0

### registerPersistenceCapable

    public static void registerPersistenceCapable(ReflectingPersistenceCapable pc)

### getManagedInstance

    public static Object getManagedInstance(Object o)

  Returns:
    the user-visible representation of `o`.
  Since:
    1.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.